Skip to main content
GET 

/portfolio/short-term-positions

Get Positions

API to retrieve the current positions for the user. These assets remain within the positions portfolio until they are either sold or reach their standard three-month expiration date in the case of derivatives. If any equity positions are carried overnight, they are automatically shifted to the holdings portfolio on the following trading day.

Request

curl --location 'https://api.upstox.com/v2/portfolio/short-term-positions' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {your_access_token}'

For additional samples in various languages, please refer to the Sample code section on this page.

Responses

Response Body

{
"status": "success",
"data": [
{
"exchange": "NFO",
"multiplier": 1.0,
"value": 39.75,
"pnl": 26.25,
"product": "D",
"instrument_token": "NSE_FO|52618",
"average_price": 2.65,
"buy_value": 0.0,
"overnight_quantity": 15,
"day_buy_value": 0.0,
"day_buy_price": 0.0,
"overnight_buy_amount": 39.75,
"overnight_buy_quantity": 15,
"day_buy_quantity": 0,
"day_sell_value": 0.0,
"day_sell_price": 0.0,
"overnight_sell_amount": 0.0,
"overnight_sell_quantity": 0,
"day_sell_quantity": 0,
"quantity": 15,
"last_price": 1.75,
"unrealised": -658304.25,
"realised": -0.0,
"sell_value": 0.0,
"trading_symbol": "BANKNIFTY23OCT38000PE",
"tradingsymbol": "BANKNIFTY23OCT38000PE",
"close_price": 1.95,
"buy_price": 2.65,
"sell_price": 0.0
},
{
"exchange": "BSE",
"multiplier": 1.0,
"value": 0.8,
"pnl": 0.01,
"product": "D",
"instrument_token": "BSE_EQ|INE220J01025",
"average_price": null,
"buy_value": 0.8,
"overnight_quantity": 0,
"day_buy_value": 0.8,
"day_buy_price": 0.8,
"overnight_buy_amount": 0.0,
"overnight_buy_quantity": 0,
"day_buy_quantity": 1,
"day_sell_value": 0.0,
"day_sell_price": 0.0,
"overnight_sell_amount": 0.0,
"overnight_sell_quantity": 0,
"day_sell_quantity": 0,
"quantity": 1,
"last_price": 0.81,
"unrealised": 0.01,
"realised": -0.0,
"sell_value": 0.0,
"trading_symbol": "FCONSUMER",
"tradingsymbol": "FCONSUMER",
"close_price": 0.8,
"buy_price": 0.8,
"sell_price": 0.0
},
{
"exchange": "MCX",
"multiplier": 1.0,
"value": 5867.0,
"pnl": 6005.0,
"product": "D",
"instrument_token": "MCX_FO|259711",
"average_price": 5867.0,
"buy_value": 0.0,
"overnight_quantity": 1,
"day_buy_value": 0.0,
"day_buy_price": 0.0,
"overnight_buy_amount": 5867.0,
"overnight_buy_quantity": 1,
"day_buy_quantity": 0,
"day_sell_value": 0.0,
"day_sell_price": 0.0,
"overnight_sell_amount": 0.0,
"overnight_sell_quantity": 0,
"day_sell_quantity": 0,
"quantity": 1,
"last_price": 6005.0,
"unrealised": 0.0,
"realised": -0.0,
"sell_value": 0.0,
"trading_symbol": "GOLDPETAL23DECFUT",
"tradingsymbol": "GOLDPETAL23DECFUT",
"close_price": 6005.0,
"buy_price": 5867.0,
"sell_price": 0.0
},
{
"exchange": "CDS",
"multiplier": 1000.0,
"value": 5.0,
"pnl": 2.5,
"product": "D",
"instrument_token": "NCD_FO|13177",
"average_price": 0.005,
"buy_value": 0.0,
"overnight_quantity": 1,
"day_buy_value": 0.0,
"day_buy_price": 0.0,
"overnight_buy_amount": 0.005,
"overnight_buy_quantity": 1,
"day_buy_quantity": 0,
"day_sell_value": 0.0,
"day_sell_price": 0.0,
"overnight_sell_amount": 0.0,
"overnight_sell_quantity": 0,
"day_sell_quantity": 0,
"quantity": 1,
"last_price": 0.0025,
"unrealised": -83265.0,
"realised": -0.0,
"sell_value": 0.0,
"trading_symbol": "USDINR23OCT85.5CE",
"tradingsymbol": "USDINR23OCT85.5CE",
"close_price": 0.0025,
"buy_price": 0.005,
"sell_price": 0.0
},
{
"exchange": "NSE",
"multiplier": 1.0,
"value": 0.0,
"pnl": 0.45,
"product": "D",
"instrument_token": "NSE_EQ|INE062A01020",
"average_price": null,
"buy_value": 570.95,
"overnight_quantity": 0,
"day_buy_value": 570.95,
"day_buy_price": 570.95,
"overnight_buy_amount": 0.0,
"overnight_buy_quantity": 0,
"day_buy_quantity": 1,
"day_sell_value": 571.4,
"day_sell_price": 571.4,
"overnight_sell_amount": 0.0,
"overnight_sell_quantity": 0,
"day_sell_quantity": 1,
"quantity": 0,
"last_price": 571.2,
"unrealised": 0.0,
"realised": 0.45,
"sell_value": 571.4,
"trading_symbol": "SBIN",
"tradingsymbol": "SBIN",
"close_price": 572.65,
"buy_price": 570.95,
"sell_price": 571.4
}
]
}
NameTypeDescription
statusstringA string indicating the outcome of the request. Typically success for successful operations.
dataobject[]Response data for position details
data[].exchangestringExchange to which the order is associated. Valid exchanges can be found in the Exchange Appendix
data[].multiplierfloatThe quantity/lot size multiplier used for calculating P&Ls
data[].valuefloatNet value of the position
data[].pnlfloatProfit and loss - net returns on the position
data[].productstringSignifies if the order was either Intraday, Delivery or CO.
Possible values: I, D, CO.
data[].instrument_tokenstringKey of the instrument. For the regex pattern applicable to this field, see the Field Pattern Appendix.
data[].average_pricefloatAverage price at which the net position quantity was acquired
data[].buy_valuefloatNet value of the bought quantities
data[].overnight_quantityint32Quantity held previously and carried forward over night
data[].day_buy_valuefloatAmount at which the quantity is bought during the day
data[].day_buy_pricefloatAverage price at which the day qty was bought. Default is empty string
data[].overnight_buy_amountfloatAmount at which the quantity was bought in the previous session
data[].overnight_buy_quantityint32Quantity bought in the previous session
data[].day_buy_quantityint32Quantity bought during the day
data[].day_sell_valuefloatAmount at which the quantity is sold during the day
data[].day_sell_pricefloatAverage price at which the day quantity was sold
data[].overnight_sell_amountfloatAmount at which the quantity was sold in the previous session
data[].overnight_sell_quantityint32Quantity sold short in the previous session
data[].day_sell_quantityint32Quantity sold during the day
data[].quantityint32Quantity left after nullifying Day and CF buy quantity towards Day and CF sell quantity
data[].last_pricefloatLast traded market price of the instrument
data[].unrealisedfloatDay PnL generated against open positions
data[].realisedfloatDay PnL generated against closed positions
data[].sell_valuefloatNet value of the sold quantities
data[].trading_symbolstringShows the trading symbol of the instrument
data[].close_pricefloatClosing price of the instrument from the last trading day
data[].buy_pricefloatAverage price at which quantities were bought
data[].sell_pricefloatAverage price at which quantities were sold

Sample Code

Get user positions

import requests

url = 'https://api.upstox.com/v2/portfolio/short-term-positions'
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'Authorization': 'Bearer {your_access_token}'
}

response = requests.get(url, headers=headers)

print(response.json())